Knips logoKnips API

Lookup contact id by custom field

Looks up a contact's id by a custom field value.

POST
/feeds/{feedId}/custom-fields/contacts-search/id

Looks up a contact's id by a custom field value.

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

feedId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

value*string|
field*string
curl -X POST "https://example.com/feeds/string/custom-fields/contacts-search/id" \  -H "Content-Type: application/json" \  -d '{    "value": "string",    "field": "string"  }'
{  "id": "string"}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}
{  "error": {    "message": "string",    "type": "string"  }}